<template>
  <q-list separator>
    <template
      v-for="(plot, index) in plots"
      :key="'preview-plot-'+index"
    >
      <PlotPreviewListItem
        :plot="plot"
      />
    </template>
    <q-item v-if="noPlotSection && plots.length === 0">
      <q-item-section>
        <q-item-label>
          <translate>No plots</translate>
        </q-item-label>
      </q-item-section>
    </q-item>
  </q-list>
</template>

<script>
import { DateMixin } from 'src/mixins/DateMixin'
import PlotPreviewListItem from 'src/pages/holding-campaign/components/PlotPreviewListItem'

export default {
  name: 'PlotsPreviewList',
  components: {
    PlotPreviewListItem
  },
  mixins: [
    DateMixin
  ],
  props: {
    plots: {
      type: Array,
      required: true
    },
    noPlotSection: {
      type: Boolean,
      default: true
    }
  }
}
</script>
